CREATE TABLE ben_batch_elctbl_chc_info (
    BATCH_ELCTBL_ID        NUMBER(18, 0),
    BENEFIT_ACTION_ID      NUMBER(18, 0)    NOT NULL,
    BUSINESS_GROUP_ID      NUMBER(18, 0)    NOT NULL,
    PGM_ID                 NUMBER(18, 0),
    PL_ID                  NUMBER(18, 0),
    OIPL_ID                NUMBER(18, 0),
    ENRT_CVG_STRT_DT       DATE         ,
    PERSON_ID              NUMBER(18, 0)    NOT NULL,
    BENEFIT_RELATION_ID    NUMBER(18, 0),
    ENRT_PERD_STRT_DT      DATE         ,
    ENRT_PERD_END_DT       DATE         ,
    ERLST_DEENRT_DT        DATE         ,
    DFLT_ENRT_DT           DATE         ,
    ENRT_TYP_CYCL_CD       VARCHAR2(120),
    COMP_LVL_CD            VARCHAR2(120),
    MNDTRY_FLAG            VARCHAR2(120)    NOT NULL,
    DFLT_FLAG              VARCHAR2(120)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    BATCH_ELCTBL_ID        NUMBER(18, 0),
    BENEFIT_ACTION_ID      NUMBER(18, 0)    NOT NULL,
    BUSINESS_GROUP_ID      NUMBER(18, 0)    NOT NULL,
    PGM_ID                 NUMBER(18, 0),
    PL_ID                  NUMBER(18, 0),
    OIPL_ID                NUMBER(18, 0),
    ENRT_CVG_STRT_DT       DATE         ,
    PERSON_ID              NUMBER(18, 0)    NOT NULL,
    BENEFIT_RELATION_ID    NUMBER(18, 0),
    ENRT_PERD_STRT_DT      DATE         ,
    ENRT_PERD_END_DT       DATE         ,
    ERLST_DEENRT_DT        DATE         ,
    DFLT_ENRT_DT           DATE         ,
    ENRT_TYP_CYCL_CD       VARCHAR2(120),
    COMP_LVL_CD            VARCHAR2(120),
    MNDTRY_FLAG            VARCHAR2(120)    NOT NULL,
    DFLT_FLAG              VARCHAR2(120)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    CONSTRAINT pk_ben_batch_elctbl_chc_info PRIMARY KEY (BATCH_ELCTBL_ID, BATCH_ELCTBL_ID)
);
